{
  "name": "eonnextmobile",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "start": "react-native start",
    "pods": "cd ios && bundler exec pod install && cd ..",
    "pods:update": "cd ios && bundler exec pod install --repo-update && cd ..",
    "test": "TZ=UTC jest",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "android:build": "bundle exec fastlane android build",
    "ios:build": "bundle exec fastlane ios build",
    "enable:storybook": "node ./scripts/storybook.js",
    "storybook": "yarn enable:storybook && start-storybook -p 7007",
    "build-storybook": "build-storybook",
    "prestorybook": "rnstl",
    "android-release": "cd android && ./gradlew assembleRelease --no-daemon",
    "android-release-build": "react-native bundle --platform android --dev false --entry-file index.js --bundle-output android/app/src/main/assets/index.android.bundle --assets-dest android/app/build/intermediates/res/merged/release/ && rm -rf android/app/src/main/res/drawable-* && rm -rf android/app/src/main/res/raw/* && cd android && ./gradlew assembleRelease && cd .."
  },
  "dependencies": {
    "@apollo/client": "^3.3.18",
    "@react-native-community/masked-view": "^0.1.10",
    "@react-navigation/native": "^5.9.2",
    "@react-navigation/stack": "^5.14.2",
    "@reduxjs/toolkit": "^1.5.1",
    "@testing-library/react-native": "^7.2.0",
    "graphql": "^15.5.0",
    "react": "17.0.1",
    "react-native": "0.64.1",
    "react-native-dotenv": "^2.5.5",
    "react-native-gesture-handler": "^1.10.0",
    "react-native-reanimated": "^1.13.2",
    "react-native-safe-area-context": "^3.1.9",
    "react-native-screens": "^2.17.1",
    "react-native-size-matters": "^0.4.0",
    "react-redux": "^7.2.2"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/runtime": "^7.12.5",
    "@react-native-community/eslint-config": "^2.0.0",
    "@storybook/addon-actions": "^5.3",
    "@storybook/addon-knobs": "^5.3",
    "@storybook/addon-links": "^5.3",
    "@storybook/addon-ondevice-actions": "^5.3.23",
    "@storybook/addon-ondevice-knobs": "^5.3.25",
    "@storybook/react-native": "^5.3.25",
    "@storybook/react-native-server": "^5.3.23",
    "@types/jest": "^26.0.20",
    "@types/react-native": "^0.64.0",
    "@types/react-redux": "^7.1.16",
    "@types/react-test-renderer": "^16.9.2",
    "@typescript-eslint/eslint-plugin": "^4.15.1",
    "@typescript-eslint/parser": "^4.15.1",
    "babel-jest": "^26.6.3",
    "babel-loader": "^8.2.2",
    "eslint": "^7.2.0",
    "eslint-config-airbnb": "18.2.1",
    "eslint-config-airbnb-typescript": "^12.3.1",
    "eslint-config-prettier": "^8.0.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-jest": "^24.1.5",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-react": "^7.21.5",
    "eslint-plugin-react-hooks": "^1.7.0",
    "husky": "^4.3.6",
    "jest": "^26.6.3",
    "lint-staged": "^10.5.3",
    "metro-react-native-babel-preset": "^0.64.0",
    "prettier": "^2.2.1",
    "react-dom": "17.0.1",
    "react-native-storybook-loader": "^2.0.4",
    "react-test-renderer": "17.0.1",
    "typescript": "^3.8.3"
  },
  "resolutions": {
    "@types/react": "^17"
  },
  "config": {
    "react-native-storybook-loader": {
      "searchDir": [
        "./src"
      ],
      "pattern": "**/*.stories.@(tsx|jsx)",
      "outputFile": "./storyLoader.js"
    }
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": "eslint --fix"
  }
}
